### Method

# Gck Session verify_full

#### Declaration [src]

    gboolean
    gck_session_verify_full (
      GckSession* self,
      GckObject* key,
      GckMechanism* mechanism,
      const guchar* input,
      gsize n_input,
      const guchar* signature,
      gsize n_signature,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Verify data in a mechanism specific manner. This call may block for an indefinite period.

#### Parameters

`key`

  Type: `GckObject`

  The key to verify with.

  The data is owned by the caller of the method.

`mechanism`

  Type: `GckMechanism`

  The mechanism type and parameters to use for signing.

  The data is owned by the caller of the method.

`input`

  Type: An array of `guchar`

  Data to verify.

  The length of the array is specified in the `n_input` argument.
  The data is owned by the caller of the method.

`n_input`

  Type: `gsize`

  The length of the data to verify.

`signature`

  Type: An array of `guchar`

  The signature.

  The length of the array is specified in the `n_signature` argument.
  The data is owned by the caller of the method.

`n_signature`

  Type: `gsize`

  Length of the signature.

`cancellable`

  Type: `GCancellable`

  A GCancellable which can be used to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the data verified correctly, otherwise a failure or error occurred.